Bug 506347 - satellite-sync --no-rpms skips package metadata import
satellite-sync --no-rpms skips package metadata import
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
406
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Shannon Hughes
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-16 15:19 EDT by Xixi
Modified: 2009-09-10 16:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 461672
Environment:
Last Closed: 2009-09-10 16:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2009-06-16 15:19:28 EDT
While working on customer issue, noticed this fix hasn't gone into Satellite yet.

+++ This bug was initially created as a clone of Bug #461672 +++

Description of problem:
When running satellite-sync on an export.  If --no-rpms is specified, it also skips the package import. 


This makes transferring channel<-> package association but not having to deal with the packages impossible.

--- Additional comment from pkilambi@redhat.com on 2009-02-19 15:41:30 EDT ---

fixed!

commit 09c3be2be74574857ec1ad6f9b452eca728211bd

--- Additional comment from jesusr@redhat.com on 2009-04-14 10:11:33 EDT ---

Spacewalk 0.5 released.
Comment 4 Shannon Hughes 2009-06-30 17:20:10 EDT
this looks good on the 6/25 iso. rpms were skipped and not packages.
Comment 5 Tomas Lestach 2009-08-13 10:16:28 EDT
Running satellite-sync -m <export> --no-rpms -c <channel>
Checking on webui:
- new channel was imported
- number of packages in the channel is correct
- rpms are not available

Stage validated -> RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 16:37:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.